Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectuiapi/1 1.13.22 5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.project.ui.support
Class ProjectCustomizer

    java.lang.Object
      org.netbeans.spi.project.ui.support.ProjectCustomizer

    public final class ProjectCustomizer

extends Object

Support for creating dialogs which can be used as project customizers. The dialog may display multiple panels or categories.

See Also:
  `CustomizerProvider`, `org.netbeans.spi.project.ui.support.ProjectCustomizer#Category`

Nested Class Summary
`static class` | `ProjectCustomizer.Category` Describes category of properties to be customized by given component
`static interface` | `ProjectCustomizer.CategoryComponentProvider` Provides components for categories.

Method Summary
`static Dialog` | `createCustomizerDialog(ProjectCustomizer.Category[] categories, ProjectCustomizer.CategoryComponentProvider componentProvider, String preselectedCategory, ActionListener okOptionListener, HelpCtx helpCtx)` Creates standard which can be used for implementation of `CustomizerProvider`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createCustomizerDialog

    public static Dialog createCustomizerDialog(ProjectCustomizer.Category[] categories,
                                                ProjectCustomizer.CategoryComponentProvider componentProvider,
                                                String preselectedCategory,
                                                ActionListener okOptionListener,
                                                HelpCtx helpCtx)

  Creates standard which can be used for implementation of `CustomizerProvider`. You don't need to call `pack()` method on the dialog. The resulting dialog will be non-modal.
  Call `show()` on the dialog to make it visible. If you want the dialog to be closed after user presses the "OK" button you have to call hide() and dispose() on it. (Usually in the `actionPerformed(...)` method of the listener you provided as a parameter. In case of the click on the "Cancel" button the dialog will be closed automatically.

  Parameters:
    `categories` - array of descriptions of categories to be shown in the dialog. Note that categories have the `valid` property. If any of the given categories is not valid cusomizer's OK button will be disabled until all categories become valid again.
    `componentProvider` - creator of GUI components for categories in the customizer dialog.
    `preselectedCategory` - name of one of the supplied categories or null. Category with given name will be selected. If `null` or if the category of given name does not exist the first category will be selected.
    `okOptionListener` - listener which will be notified when the user presses the OK button.
    `helpCtx` - Help context for the dialog, which will be used when the panels in the customizer do not specify their own help context.
  Returns:
    standard project customizer dialog.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.modules.projectuiapi/1 1.13.22 5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.